org.apache.calcite.avatica.util

## Class Spaces.SpaceString

- java.lang.Object
- - org.apache.calcite.avatica.util.Spaces.SpaceString

All Implemented Interfaces:
  CharSequence

Enclosing class:
  Spaces

    private static class Spaces.SpaceString
    extends Object
    implements CharSequence

A string of spaces.

### Field Summary

Fields
`private int` `length`

### Constructor Summary

Constructors
`private` `Spaces.SpaceString(int length)`

### Method Summary

Methods
`char` `charAt(int index)`
`int` `length()`
`CharSequence` `subSequence(int start, int end)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### length

    private final int length

### Constructor Detail

#### Spaces.SpaceString

    private Spaces.SpaceString(int length)

### Method Detail

#### toString

    public String toString()

Specified by:
  `toString` in interface `CharSequence`
Overrides:
  `toString` in class `Object`

#### length

    public int length()

Specified by:
  `length` in interface `CharSequence`

#### charAt

    public char charAt(int index)

Specified by:
  `charAt` in interface `CharSequence`

#### subSequence

    public CharSequence subSequence(int start,
                           int end)

Specified by:
  `subSequence` in interface `CharSequence`